class UserDevice < ApplicationRecord
  
  # 当前app端传递的platform的值:
  # android: igetui, xiaomi, huawei
  # iso: igetui 目前还不清楚为啥不用apns,暂时不修改
  enum platform: %i[igetui apns xiaomi huawei]
  
  enum device_platform: %i[ios android]
  
  # 用于区分当前的应用，为了推送准备， 因为推送需要根据不同的应用使用不同的 id,secret等。
  enum app_type: %i[ik_duli lx_duli lx_yun aike_yun]
end